/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.queplix.core.modules.config.ejb;

import javax.ejb.EJBLocalObject;

import com.queplix.core.modules.config.jxb.Captions;
import com.queplix.core.modules.config.jxb.Descriptions;
import com.queplix.core.modules.config.jxb.Htmlcontents;

/**
 * LocalizationManager ejb local interface
 * @author [SVM] Maxim Suponya
 * @author [ALB] Baranov Andrey
 * @author Michael Trofimov
 */
public interface LocalizationManagerLocal extends EJBLocalObject {
    // Captions
    String fillEfieldCaptions( String entityName, String efieldName, Captions captions );
    String fillFocusCaptions( String focusId, Captions captions );
    String fillSubFocusCaptions( String subFocusId, Captions captions );
    String fillTabCaptions( String tabId, Captions captions );
    String fillFormCaptions( String formId, Captions captions );
    String fillButtonCaptions( String buttonId, Captions captions);
    String fillMenuItemCaptions( String menuId, Captions captions );
    String fillServerMessages(String id, Captions captions);
    String fillPopupMenuCaptions(String captionId, Captions captions);

    String getEfieldCaption( String languageId, String entityName, String efieldName );
    String getFocusCaption( String languageId, String focusId );
    String getSubFocusCaption( String languageId, String subFocusId );
    String getTabCaption( String languageId, String tabId );
    String getFormCaption( String languageId, String formId );
    String getButtonCaption( String languageId, String buttonId);
    String getPopupMenuCaption( String languageId, String captionId );
    String getServerMessage( String languageId, String id );
    String getMenuItemCaption( String languageId, String menuId );
    

    // Descriptions
    String fillFormDescriptions(String formId, Descriptions descriptions);
    String getFormDescription(String languageId, String formId);

    // HTML contents
    String fillHtmlElementContents(String htmlElementId, Htmlcontents htmlContents);
    String getHtmlElementContent(String languageId, String htmlElementId);
    
}
