/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.queplix.core.modules.eql.funcs;

import com.queplix.core.error.GenericSystemException;
import com.queplix.core.integrator.security.AccessRightsManager;
import com.queplix.core.modules.eql.EQLNumberObject;
import com.queplix.core.modules.eql.EQLReqFuncExecutable;
import com.queplix.core.modules.eql.EQLReqSubOpMember;
import com.queplix.core.modules.eql.EQLReqSubOpMemberFunc;
import com.queplix.core.modules.eql.error.EQLException;

/**
 * Gets administrator user ID.
 *
 * @author Baranov Andrey [ALB]
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:25 $
 */
public final class AdminIdFunc
        extends EQLReqSubOpMemberFunc implements EQLReqFuncExecutable {

    /*
     * (non-Javadoc)
     *
     * @see com.queplix.core.modules.eql.EQLReqFuncExecutable#execute()
     */
    public EQLReqSubOpMember execute() throws EQLException {
        try {
            long adminID = AccessRightsManager.getAdminUserId();
            return new EQLNumberObject(adminID);
        } catch (com.queplix.core.integrator.security.SecurityException ex) {
            throw new GenericSystemException(ex);
        }
    }
}
