/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.queplix.core.modules.eql.history;

/**
 * History constants.
 *
 * @author [ALB] Baranov Andrey
 * @author [ONZ] Oleg N. Zhovtanyuk
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:26 $
 */
public final class HistoryConstants {

    /** History entity field name. */
    public static final String HISTORY_FIELD = "history";

    /** History topic tag. */
    public static final String HISTORY_TOPIC_TAG = "<history-topic>";

    /** History start tag. */
    public static final String HISTORY_START_TAG = "<history>";
    /** History end tag. */
    public static final String HISTORY_END_TAG = "</history>";

    /** History HTML translet class. */
    public static final String HISTORY_HTML_TRANSLET = "xslt/history.xsl";

    /** History inline HTML translet class. */
    public static final String HISTORY_INLINE_HTML_TRANSLET = "xslt/historyinline.xsl";

    /** History Text translet class. */
    public static final String HISTORY_TEXT_TRANSLET = "xslt/historytxt.xsl";

}
