/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.queplix.core.client.controls.datefield;

/**
 * Storage for the date array.
 * Class to be used to determine the end of the previous month, current month and next month. 
 *
 * Sum of the lenghts should be always 6x7
 * 
 * @author Sergey Kozmin
 * @since 19.09.2006, 15:41:46
 */
class CalendarScreen {
    private int[] dates;
    private int prevMonthDatesEnd;
    private int currentMonthDatesEnd;

    public CalendarScreen(int[] dates, int prevMonthDatesEnd, int currentMonthDatesEnd) {
        this.dates = dates;
        this.prevMonthDatesEnd = prevMonthDatesEnd;
        this.currentMonthDatesEnd = currentMonthDatesEnd;
    }

    public int[] getDates() {
        return dates;
    }

    public int getPrevMonthDatesEnd() {
        return prevMonthDatesEnd;
    }

    public int getCurrentMonthDatesEnd() {
        return currentMonthDatesEnd;
    }
}
