/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.queplix.core.client.controls.form;

/**
 * Unit, that implements functionality by notification, that it's been removed (accepted in most of cases) from chain. 
 *
 * @author Sergey Kozmin
 * @since 02.10.2006, 17:56:35
 */
abstract class BaseChainUnit implements ChainUnit {
    static interface ChainAcceptanceListener {
        public void accepted();
    }

    private ChainAcceptanceListener listener;

    public void addChainAcceptanceListener(ChainAcceptanceListener listener) {
        this.listener = listener;
    }

    public void removingFromChain() {
        if(listener != null) {
            listener.accepted();
        }
    }
}
